## Check_opencpu

Script: `check_opencpu`

Test if OpenCpu is available via http and test if given packages are installed.

### Requirements

* wget

## Syntax

```text
> ./check_opencpu -h
______________________________________________________________________

CHECK_OPENCPU
v1.4

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_opencpu.html
______________________________________________________________________

Test if opencpu is available.
It returns OK if
- opencpu is running on http://localhost/ocpu
- all packages are installed: 
  eosceGLM eosceLinReg eosceReliability eosceReporter msrdAnalytics

SYNTAX:
check_opencpu [-h] [-p PKG]

OPTIONS:

    -h or --help   show this help and exit.

PARAMETERS:

    -p PKG(s)      define package to test; for multiple packages quote 
                   it and delimit them with space.

EXAMPLES:

    check_opencpu -p "myPackage1 myPackage2 anotherPackage"
                   Check given opencpu packages

    check_opencpu -p ""
                   Check Opencpu only (without packages)

```

## Examples

### Check with packages

```txt
OpenCpu: OK

OK: openCpu is running and reachable with http
OK: package is available [myPackage1] .. Build: R 4.1.1; ; 2021-11-09 10:18:01 UTC; unix
OK: package is available [myPackage2] .. Build: R 4.1.1; ; 2022-03-07 11:07:03 UTC; unix
OK: package is available [anotherPackage] .. Build: R 4.1.2; ; 2023-07-18 08:32:57 UTC; unix
```
